package com.eactive.eai.common.session;

import java.io.Serializable;

public class CacheStoreObject implements Serializable {
    private static final long serialVersionUID = 1L;
	private String message;
    private long expirationTime;

    public CacheStoreObject(String message, long expirationTime) {
        this.message = message;
        this.expirationTime = expirationTime;
    }

    public String getMessage() {
        return message;
    }

    public boolean isExpired() {
        return System.currentTimeMillis() > expirationTime;
    }
}
